Support » Plugin: Loco Translate » Problems with installation of Loco

  • Resolved hittanynashamn

    (@hittanynashamn)


    Hi,

    I installed your plugin but get this message when I go to home or themes. Can you help? All the best, Aline

    The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.

    Fatal error: Uncaught TypeError: Argument 1 passed to Loco_fs_FileFinder::open() must be an instance of Loco_fs_Directory, array given, called in /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/fs/FileFinder.php on line 490 and defined in /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/fs/FileFinder.php:286
    Stack trace:
    #0 /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/fs/FileFinder.php(490): Loco_fs_FileFinder->open(Array)
    #1 /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/fs/FileFinder.php(178): Loco_fs_FileFinder->rewind()
    #2 /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/fs/FileFinder.php(191): Loco_fs_FileFinder->export()
    #3 /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/package/Project.php(644): Loco_fs_FileFinder->exportGroups()
    #4 /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-transl in /customers/6/7/a/hittanynashamn.se/httpd.www/wp-content/plugins/loco-translate/src/fs/FileFinder.php on line 286

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Tim W

    (@timwhitlock)

    Please provide your PHP version and the theme/plugin you are translating when this happens.

    Hi,

    I have PHP 7.3 and my provider is one.com

    I am using the Listimia theme

    Kind Regards,
    Aline

    Plugin Author Tim W

    (@timwhitlock)

    I can’t reproduce any issue with 7.3, but what I do notice is that your line numbers don’t align with the latest version of Loco Translate. What version are you running?

    Hi,
    Not sure what you mean with the line numbers. I have kept on trying installing it and it is not working. Can I get any further help?

    Plugin Author Tim W

    (@timwhitlock)

    Not sure what you mean with the line numbers.

    What I mean is the stack trace in your error does not show the latest version of Loco Translate. That means either it was an old version or the code has been altered.

    I have kept on trying installing it and it is not working.

    If you have re-installed the plugin from scratch, please post the version number and a new stack trace of the error.

    Hi,
    Now I tried again, and got this message
    Unpacking the package…

    Installing the plugin…

    Plugin installed successfully.

    Deprecated: Function get_magic_quotes_gpc() is deprecated in /customers/6/7/a/hittanynashamn.se/httpd.www/wp-includes/formatting.php on line 4768
    Activate Plugin Return to Plugin Installer

    I pressed Activate Plugin and went to Home in the Loco Plugin. I got this message there
    The message above was triggered by Core.

    Call stack:

    WP_Fatal_Error_Handler->handle()
    WP_Fatal_Error_Handler->display_error_template()
    wp-includes/class-wp-fatal-error-handler.php:50
    WP_Fatal_Error_Handler->display_default_error_template()
    wp-includes/class-wp-fatal-error-handler.php:143
    wp_die()
    wp-includes/class-wp-fatal-error-handler.php:212

    What should I do now? 🙂 I just downloaded the plugin so should be the latest version.

    Really appreciate your help.

    Aline

    Plugin Author Tim W

    (@timwhitlock)

    WordPress core uses get_magic_quotes_gpc and so does my plugin, but apparently it’s been deprecated in PHP 7.4. You said you were running 7.3, but this function is fine in 7.3. If you’ve upgraded to 7.4, I suggest you roll back. 7.4 is not ready for production.

    Please post back once you’re able to capture the error output as per your original request. I can’t offer general help with WordPress core.

    Hi Tim,

    Thank you very much, rolled back to 7.3 and it is working perfect now 🙂
    Have a great weekend!

    Aline

Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.